various fixes
[automated-distro-installer] / arch-init
index e22b37a7ffdd08d7e71a47e1735b82ecf91526ca..982357f0a66f16161b83f728fccf8ce6e0c32cbb 100755 (executable)
--- a/arch-init
+++ b/arch-init
 set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
-cd $(dirname $(readlink -f "$BASH_SOURCE"))
+x="$(readlink -f "$BASH_SOURCE")"; cd ${x%/*}
 
 export HOSTNAME="$1"
 mirror=$2
-TPPASS="$(cat /root/shadow/traci-simple)"
 
 (( $# >= 1 )) || { echo "$0: error: need 1 or 2 arguments"; exit 1; }
 
@@ -48,7 +47,7 @@ export PARTITION_PROMPT=true
 # to be idempotent if we fail after partitioning
 already_partitioned=true
 mount_out=$(mount)
-for dir in /mnt{,/home,/boot,/q}; do
+for dir in /mnt{,/home,/boot,/a}; do
     regex=" on $dir "
     if [[ ! $mount_out =~ $regex ]]; then
         already_partitioned=false
@@ -73,8 +72,7 @@ sed -ri --follow-symlinks "/^crypt_dev_\S+$rootn /d" /tmp/fai/crypttab
 
 if ! $already_partitioned; then
     mount -o subvol=root_$DISTRO $ROOT_PARTITION /mnt
-    mkdir -p /mnt/{q,home,boot}
-    mount -o subvol=q $ROOT_PARTITION /mnt/q
+    mkdir -p /mnt/boot
     mount -o subvol=boot_$DISTRO $BOOT_PARTITION /mnt/boot
 fi
 
@@ -101,8 +99,8 @@ bindmount() {
     mkdir -p $mountpoint
     mount -o bind $source $mountpoint
 }
-bindmount /a /mnt/a
 bindmount /root/shadow /mnt/q/root/shadow
+bindmount /a /mnt/a
 
 mkdir -p /mnt/etc/ssh
 cp /etc/ssh/ssh_host_* /mnt/etc/ssh